%define major		1
%define libname		%mklibname wbxml %{major}
%define develname	%mklibname wbxml -d

Summary:	WBXML parser and compiler library
Name:		libwbxml
Version:	0.11.5
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwbxml.opensync.org
Source:		http://downloads.sourceforge.net/libwbxml/%{name}-%{version}.tar.bz2
Requires:	expat >= 2.0.1
BuildRequires:	cmake
BuildRequires:	expat-devel >= 2.0.1
BuildRequires:	pkgconfig(check)

%description
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

%package -n	%{libname}
Group:		System/Libraries
License:	LGPLv2+
Summary:	Library for parsing WAP Binary XML
Obsoletes:	%mklibname wbxml2_ 0

%description -n	%{libname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains just the library for use by other applications.

%package -n	%{develname}
Group:		Development/C
License:	LGPLv2+
Summary:	Library for developing applications that parse WAP Binary XML
Requires:	%{libname} = %{version}-%{release}
Provides:	wbxml-devel = %{version}-%{release}
Obsoletes:	%mklibname wbxml2_ -d 0

%description -n	%{develname}
The WBXML Library (libwbxml) contains a library and its associated tools to
parse, encode and handle WBXML documents. The WBXML format is a binary
representation of XML, defined by the Wap Forum, and used to reduce bandwidth
in mobile communications. 

This package contains the headers and other development files required to
compile applications that need to parse WBXML.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make

%install
%make_install -C build

%files
%doc BUGS COPYING GNU-LGPL INSTALL README
%doc References THANKS TODO ChangeLog
%exclude %{_docdir}/%{name}/INSTALL
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README References TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libwbxml2.pc
%{_datadir}/cmake/Modules/FindLibWbxml2.cmake


%changelog
* Sun Feb 26 2017 luigiwalser <luigiwalser> 0.11.5-1.mga6
+ Revision: 1087958
- 0.11.5
- remove upstreamed patch

* Thu Feb 11 2016 umeabot <umeabot> 0.11.3-3.mga6
+ Revision: 955914
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 0.11.3-2.mga6
+ Revision: 892969
- add more docs to fix build with latest rpm

* Sat Jul 25 2015 tv <tv> 0.11.3-1.mga6
+ Revision: 857495
- fix build
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 742346
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-2.mga5
+ Revision: 681853
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.11.2-1.mga5
+ Revision: 660381
- New version: 0.11.2

* Fri Oct 18 2013 umeabot <umeabot> 0.10.9-3.mga4
+ Revision: 507431
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.9-2.mga3
+ Revision: 358435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 02 2012 fwang <fwang> 0.10.9-1.mga3
+ Revision: 204032
- popt and zlib is not required
- new version 0.10.9

* Mon Feb 07 2011 spuhler <spuhler> 0.10.8-1.mga1
+ Revision: 48338
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libwbxml

